Ubuntu-Linux Users

From SpaceElevatorWiki.com
Revision as of 11:31, 25 February 2009 by Jeko (talk | contribs) (Ogre)

Jump to: navigation, search

Page in progress


Get Ogre source >= 1.4.9 and install to your system.

(the following doesn't seems to work)

As usual, you must install dependencies:

sudo aptitude install libzzip-dev libzzip-0-13 libxaw-headers libxmu-dev \
      libxmu-headers libxpm-dev libfreeimage-dev libfreeimage3 libxrandr \
      nvidia-cg-toolkit libfreetype6-dev libxaw7-dev quilt libopenexr-dev \

Then get source package (note, it download and extract into current directory so take care to create a folder on work from it for the created "mess").

apt-get source libogre14
cd ogre-1.4.5

Edit debian/rules, replace --disable-cg by --enable-cg (line 39). Then:

dpkg-buildpackage -rfakeroot -uc -b

Then install generated packages:

cd ..
sudo dpkg -i *.deb


sudo aptitude install swig cmake nant libmono-winforms2.0-cil
svn checkout http://ogredotnet.googlecode.com/svn/trunk/ ogredotnet-read-only 
cd ogredotnet-read-only
bash ./build.sh


sudo aptitude install libois1 libois-dev 


sudo aptitude install uuid-dev uuid libfreetype6-dev libfreetype6
svn co https://my-gui.svn.sourceforge.net/svnroot/my-gui/trunk my-gui  
cd my-gui
sh bootstrap
./configure --prefix=/usr
sudo make install